
var geo = [];
geo[0]=['Ti1', -4.105, -4.105, -4.105];
geo[1]=['Al1', -4.105, -2.0525, -2.0525];
geo[2]=['Ti1', -2.0525, -4.105, -2.0525];
geo[3]=['Ti1', -2.0525, -2.0525, -4.105];

var template1 = [];
template1[0]=['Ti1', 0.0, 4.105, 0.0];
template1[1]=['Ti1', 0.0, 0.0, 4.105];
template1[2]=['Ti1', -4.105, 0.0, 0.0];
template1[3]=['Ti1', 0.0, 0.0, 0.0];
template1[4]=['Ti1', 4.105, 0.0, 0.0];
template1[5]=['Ti1', 0.0, 0.0, -4.105];
template1[6]=['Ti1', 0.0, -4.105, 0.0];
template1[7]=['Al1', 0.0, 2.0525, 2.0525];
template1[8]=['Ti1', -2.0525, 2.0525, 0.0];
template1[9]=['Ti1', 2.0525, 2.0525, 0.0];
template1[10]=['Al1', 0.0, 2.0525, -2.0525];
template1[11]=['Ti1', -2.0525, 0.0, 2.0525];
template1[12]=['Ti1', 2.0525, 0.0, 2.0525];
template1[13]=['Ti1', -2.0525, 0.0, -2.0525];
template1[14]=['Ti1', 2.0525, 0.0, -2.0525];
template1[15]=['Al1', 0.0, -2.0525, 2.0525];
template1[16]=['Ti1', -2.0525, -2.0525, 0.0];
template1[17]=['Ti1', 2.0525, -2.0525, 0.0];
template1[18]=['Al1', 0.0, -2.0525, -2.0525];

var template2 = [];
template2[0]=['Ti1', -4.105, -4.105, -4.105];
template2[1]=['Ti1', -4.105, -4.105, 0.0];
template2[2]=['Ti1', -4.105, 0.0, -4.105];
template2[3]=['Ti1', -4.105, 0.0, 0.0];
template2[4]=['Ti1', 0.0, -4.105, -4.105];
template2[5]=['Ti1', 0.0, -4.105, 0.0];
template2[6]=['Ti1', 0.0, 0.0, -4.105];
template2[7]=['Ti1', 0.0, 0.0, 0.0];
template2[8]=['Al1', -4.105, -2.0525, -2.0525];
template2[9]=['Al1', 0.0, -2.0525, -2.0525];
template2[10]=['Ti1', -2.0525, -4.105, -2.0525];
template2[11]=['Ti1', -2.0525, 0.0, -2.0525];
template2[12]=['Ti1', -2.0525, -2.0525, -4.105];
template2[13]=['Ti1', -2.0525, -2.0525, 0.0];

var cell = [];
cell[0]=[4.105,    0.0,    0.0];
cell[1]=[0.0,    4.105,    0.0];
cell[2]=[0.0,    0.0,    4.105];

var Badercoeff = [];
Badercoeff[0]=[0.5245];
Badercoeff[1]=[0.354556];

var color1 = document.getElementById("color1");
var output1r = document.getElementById("output1r");
var output1g = document.getElementById("output1g");
var output1b = document.getElementById("output1b");
output1r.innerHTML = hextorgb(color1.value).r;
output1g.innerHTML = hextorgb(color1.value).g;
output1b.innerHTML = hextorgb(color1.value).b;
color1out = { color: color1.value };
var color2 = document.getElementById("color2");
var output2r = document.getElementById("output2r");
var output2g = document.getElementById("output2g");
var output2b = document.getElementById("output2b");
output2r.innerHTML = hextorgb(color2.value).r;
output2g.innerHTML = hextorgb(color2.value).g;
output2b.innerHTML = hextorgb(color2.value).b;
color2out = { color: color2.value };

var Ti_material = define_material(color1out,1);
var Al_material = define_material(color2out,1);
var plus = define_material({ color: "rgb(230,230,230)"},1);
var minus = define_material({ color: "rgb(0,0,0)"},1);

var Ti1baderballs_template1 = drawmol_spheres(template1, "Ti1", minus, Badercoeff[0]*0.9533);
var Al1baderballs_template1 = drawmol_spheres(template1, "Al1", minus, Badercoeff[1]*0.9533);
var Ti1_atoms_template1 = drawmol_spheres(template1,"Ti1",Ti_material, 0.2);
var Al1_atoms_template1 = drawmol_spheres(template1,"Al1",Al_material, 0.2);
var Ti1Ti1_bonds_template1 = drawbonds_cylinder(template1,"Ti1",Ti_material,"Ti1",Ti_material, 0.1, 2.9, 0.05);
var Ti1Al1_bonds_template1 = drawbonds_cylinder(template1,"Ti1",Ti_material,"Al1",Al_material, 0.1, 2.9, 0.05);
var Al1Al1_bonds_template1 = drawbonds_cylinder(template1,"Al1",Al_material,"Al1",Al_material, 0.1, 2.9, 0.05);

var Ti1baderballs_template2 = drawmol_spheres(template2, "Ti1", minus, Badercoeff[0]*0.9533);
var Al1baderballs_template2 = drawmol_spheres(template2, "Al1", minus, Badercoeff[1]*0.9533);
var Ti1_atoms_template2 = drawmol_spheres(template2,"Ti1",Ti_material, 0.2);
var Al1_atoms_template2 = drawmol_spheres(template2,"Al1",Al_material, 0.2);
var Ti1Ti1_bonds_template2 = drawbonds_cylinder(template2,"Ti1",Ti_material,"Ti1",Ti_material, 0.1, 2.9, 0.05);
var Ti1Al1_bonds_template2 = drawbonds_cylinder(template2,"Ti1",Ti_material,"Al1",Al_material, 0.1, 2.9, 0.05);
var Al1Al1_bonds_template2 = drawbonds_cylinder(template2,"Al1",Al_material,"Al1",Al_material, 0.1, 2.9, 0.05);

dontshow_objects(Ti1Al1_bonds_template1);
dontshow_objects(Ti1Al1_bonds_template2);

var atom1stat = 0;
var atom2stat = 0;
var bond1stat = 0;
var bond2stat = 1;
var bond3stat = 0;
var baderstat = 0;
var togg1stat = 0;
var togg2stat = 0;

var atom1size = document.getElementById("atom1size");
var size1atom = document.getElementById("size1atom");
size1atom.innerHTML = atom1size.value;
size1 = atom1size.value;
atom1size.oninput = function() {
	size1atom.innerHTML = this.value;
	size1 = this.value;
	if (atom1stat===0 && togg1stat===0) {
		remove_objects(Ti1_atoms_template1);
		Ti1_atoms_template1 = drawmol_spheres(template1,"Ti1",Ti_material, size1);
		show_objects(Ti1_atoms_template1);
	}
	else {
		remove_objects(Ti1_atoms_template1);
		Ti1_atoms_template1 = drawmol_spheres(template1,"Ti1",Ti_material, size1);
		dontshow_objects(Ti1_atoms_template1);
	}
	if (atom1stat===0 && togg2stat===0) {
		remove_objects(Ti1_atoms_template2);
		Ti1_atoms_template2 = drawmol_spheres(template2,"Ti1",Ti_material, size1);
		show_objects(Ti1_atoms_template2);
	}
	else {
		remove_objects(Ti1_atoms_template2);
		Ti1_atoms_template2 = drawmol_spheres(template2,"Ti1",Ti_material, size1);
		dontshow_objects(Ti1_atoms_template2);
	}
}

var atom2size = document.getElementById("atom2size");
var size2atom = document.getElementById("size2atom");
size2atom.innerHTML = atom2size.value;
size2 = atom2size.value;
atom2size.oninput = function() {
	size2atom.innerHTML = this.value;
	size2 = this.value;
	if (atom2stat===0 && togg1stat===0) {
		remove_objects(Al1_atoms_template1);
		Al1_atoms_template1 = drawmol_spheres(template1,"Al1",Al_material, size2);
		show_objects(Al1_atoms_template1);
	}
	else {
		remove_objects(Al1_atoms_template1);
		Al1_atoms_template1 = drawmol_spheres(template1,"Al1",Al_material, size2);
		dontshow_objects(Al1_atoms_template1);
	}
	if (atom2stat===0 && togg2stat===0) {
		remove_objects(Al1_atoms_template2);
		Al1_atoms_template2 = drawmol_spheres(template2,"Al1",Al_material, size2);
		show_objects(Al1_atoms_template2);
	}
	else {
		remove_objects(Al1_atoms_template2);
		Al1_atoms_template2 = drawmol_spheres(template2,"Al1",Al_material, size2);
		dontshow_objects(Al1_atoms_template2);
	}
}

var bond1length = document.getElementById("bond1length");
var bond1len = document.getElementById("bond1len");
bond1len.innerHTML = bond1length.value;
var len1 = bond1length.value;
var bond1radius = document.getElementById("bond1radius");
var bond1rad = document.getElementById("bond1rad");
bond1rad.innerHTML = bond1radius.value;
var rad1 = bond1radius.value;
function update_bond_1() {
	bond1len.innerHTML = document.getElementById("bond1length").value;
	len1 = document.getElementById("bond1length").value;
	bond1rad.innerHTML = document.getElementById("bond1radius").value;
	rad1 = document.getElementById("bond1radius").value;
	if (bond1stat===0 && togg1stat===0) {
		remove_objects(Ti1Ti1_bonds_template1);
		Ti1Ti1_bonds_template1 = drawbonds_cylinder(template1,"Ti1",Ti_material,"Ti1",Ti_material,0.1,len1,rad1);
		show_objects(Ti1Ti1_bonds_template1);
	}
	else {
		remove_objects(Ti1Ti1_bonds_template1);
		Ti1Ti1_bonds_template1 = drawbonds_cylinder(template1,"Ti1",Ti_material,"Ti1",Ti_material,0.1,len1,rad1);
		dontshow_objects(Ti1Ti1_bonds_template1);
	}
	if (bond1stat===0 && togg2stat===0) {
		remove_objects(Ti1Ti1_bonds_template2);
		Ti1Ti1_bonds_template2 = drawbonds_cylinder(template2,"Ti1",Ti_material,"Ti1",Ti_material,0.1,len1,rad1);
		show_objects(Ti1Ti1_bonds_template2);
	}
	else {
		remove_objects(Ti1Ti1_bonds_template2);
		Ti1Ti1_bonds_template2 = drawbonds_cylinder(template2,"Ti1",Ti_material,"Ti1",Ti_material,0.1,len1,rad1);
		dontshow_objects(Ti1Ti1_bonds_template2);
	}
}

var bond2length = document.getElementById("bond2length");
var bond2len = document.getElementById("bond2len");
bond2len.innerHTML = bond2length.value;
var len2 = bond2length.value;
var bond2radius = document.getElementById("bond2radius");
var bond2rad = document.getElementById("bond2rad");
bond2rad.innerHTML = bond2radius.value;
var rad2 = bond2radius.value;
function update_bond_2() {
	bond2len.innerHTML = document.getElementById("bond2length").value;
	len2 = document.getElementById("bond2length").value;
	bond2rad.innerHTML = document.getElementById("bond2radius").value;
	rad2 = document.getElementById("bond2radius").value;
	if (bond2stat===0 && togg1stat===0) {
		remove_objects(Ti1Al1_bonds_template1);
		Ti1Al1_bonds_template1 = drawbonds_cylinder(template1,"Ti1",Ti_material,"Al1",Al_material,0.1,len2,rad2);
		show_objects(Ti1Al1_bonds_template1);
	}
	else {
		remove_objects(Ti1Al1_bonds_template1);
		Ti1Al1_bonds_template1 = drawbonds_cylinder(template1,"Ti1",Ti_material,"Al1",Al_material,0.1,len2,rad2);
		dontshow_objects(Ti1Al1_bonds_template1);
	}
	if (bond2stat===0 && togg2stat===0) {
		remove_objects(Ti1Al1_bonds_template2);
		Ti1Al1_bonds_template2 = drawbonds_cylinder(template2,"Ti1",Ti_material,"Al1",Al_material,0.1,len2,rad2);
		show_objects(Ti1Al1_bonds_template2);
	}
	else {
		remove_objects(Ti1Al1_bonds_template2);
		Ti1Al1_bonds_template2 = drawbonds_cylinder(template2,"Ti1",Ti_material,"Al1",Al_material,0.1,len2,rad2);
		dontshow_objects(Ti1Al1_bonds_template2);
	}
}

var bond3length = document.getElementById("bond3length");
var bond3len = document.getElementById("bond3len");
bond3len.innerHTML = bond3length.value;
var len3 = bond3length.value;
var bond3radius = document.getElementById("bond3radius");
var bond3rad = document.getElementById("bond3rad");
bond3rad.innerHTML = bond3radius.value;
var rad3 = bond3radius.value;
function update_bond_3() {
	bond3len.innerHTML = document.getElementById("bond3length").value;
	len3 = document.getElementById("bond3length").value;
	bond3rad.innerHTML = document.getElementById("bond3radius").value;
	rad3 = document.getElementById("bond3radius").value;
	if (bond3stat===0 && togg1stat===0) {
		remove_objects(Al1Al1_bonds_template1);
		Al1Al1_bonds_template1 = drawbonds_cylinder(template1,"Al1",Al_material,"Al1",Al_material,0.1,len3,rad3);
		show_objects(Al1Al1_bonds_template1);
	}
	else {
		remove_objects(Al1Al1_bonds_template1);
		Al1Al1_bonds_template1 = drawbonds_cylinder(template1,"Al1",Al_material,"Al1",Al_material,0.1,len3,rad3);
		dontshow_objects(Al1Al1_bonds_template1);
	}
	if (bond3stat===0 && togg2stat===0) {
		remove_objects(Al1Al1_bonds_template2);
		Al1Al1_bonds_template2 = drawbonds_cylinder(template2,"Al1",Al_material,"Al1",Al_material,0.1,len3,rad3);
		show_objects(Al1Al1_bonds_template2);
	}
	else {
		remove_objects(Al1Al1_bonds_template2);
		Al1Al1_bonds_template2 = drawbonds_cylinder(template2,"Al1",Al_material,"Al1",Al_material,0.1,len3,rad3);
		dontshow_objects(Al1Al1_bonds_template2);
	}
}


var baderscale = document.getElementById("baderscale");
var baderscal = document.getElementById("baderscal");
baderscal.innerHTML = baderscale.value;
badersca = baderscale.value;
baderscale.oninput = function() {
	baderscal.innerHTML = this.value;
	badersca = this.value;	if (baderstat===0 && togg1stat===0) {
		remove_objects(Ti1baderballs_template1);
		Ti1baderballs_template1 = drawmol_spheres(template1, "Ti1", minus, Badercoeff[0]*badersca);
		show_objects(Ti1baderballs_template1);
		remove_objects(Al1baderballs_template1);
		Al1baderballs_template1 = drawmol_spheres(template1, "Al1", minus, Badercoeff[1]*badersca);
		show_objects(Al1baderballs_template1);
	}
	else {
		remove_objects(Ti1baderballs_template1);
		Ti1baderballs_template1 = drawmol_spheres(template1, "Ti1", minus, Badercoeff[0]*badersca);
		dontshow_objects(Ti1baderballs_template1);
		remove_objects(Al1baderballs_template1);
		Al1baderballs_template1 = drawmol_spheres(template1, "Al1", minus, Badercoeff[1]*badersca);
		dontshow_objects(Al1baderballs_template1);
	}
	if (baderstat===0 && togg2stat===0) {
		remove_objects(Ti1baderballs_template2);
		Ti1baderballs_template2 = drawmol_spheres(template2, "Ti1", minus, Badercoeff[0]*badersca);
		show_objects(Ti1baderballs_template2);
		remove_objects(Al1baderballs_template2);
		Al1baderballs_template2 = drawmol_spheres(template2, "Al1", minus, Badercoeff[1]*badersca);
		show_objects(Al1baderballs_template2);
	}
	else {
		remove_objects(Ti1baderballs_template2);
		Ti1baderballs_template2 = drawmol_spheres(template2, "Ti1", minus, Badercoeff[0]*badersca);
		dontshow_objects(Ti1baderballs_template2);
		remove_objects(Al1baderballs_template2);
		Al1baderballs_template2 = drawmol_spheres(template2, "Al1", minus, Badercoeff[1]*badersca);
		dontshow_objects(Al1baderballs_template2);
	}
}


color1.oninput = function() {
	output1r.innerHTML = hextorgb(this.value).r;
	output1g.innerHTML = hextorgb(this.value).g;
	output1b.innerHTML = hextorgb(this.value).b;
	color1out = { color: this.value };
	Ti_material = define_material(color1out,1);
	if (atom1stat===0 && togg1stat===0) {
		remove_objects(Ti1_atoms_template1);
		Ti1_atoms_template1 = drawmol_spheres(template1,"Ti1",Ti_material, size1);
		show_objects(Ti1_atoms_template1);
	}
	else {
		remove_objects(Ti1_atoms_template1);
		Ti1_atoms_template1 = drawmol_spheres(template1,"Ti1",Ti_material, size1);
		dontshow_objects(Ti1_atoms_template1);
	}
	if (atom1stat===0 && togg2stat===0) {
		remove_objects(Ti1_atoms_template2);
		Ti1_atoms_template2 = drawmol_spheres(template2,"Ti1",Ti_material, size1);
		show_objects(Ti1_atoms_template2);
	}
	else {
		remove_objects(Ti1_atoms_template2);
		Ti1_atoms_template2 = drawmol_spheres(template2,"Ti1",Ti_material, size1);
		dontshow_objects(Ti1_atoms_template2);
	}
	if (bond1stat===0 && togg1stat===0) {
		remove_objects(Ti1Ti1_bonds_template1);
		Ti1Ti1_bonds_template1 = drawbonds_cylinder(template1,"Ti1",Ti_material,"Ti1",Ti_material,0.1,len1,rad1);
		show_objects(Ti1Ti1_bonds_template1);
	}
	else {
		remove_objects(Ti1Ti1_bonds_template1);
		Ti1Ti1_bonds_template1 = drawbonds_cylinder(template1,"Ti1",Ti_material,"Ti1",Ti_material,0.1,len1,rad1);
		dontshow_objects(Ti1Ti1_bonds_template1);
	}
	if (bond2stat===0 && togg1stat===0) {
		remove_objects(Ti1Al1_bonds_template1);
		Ti1Al1_bonds_template1 = drawbonds_cylinder(template1,"Ti1",Ti_material,"Al1",Al_material,0.1,len2,rad2);
		show_objects(Ti1Al1_bonds_template1);
	}
	else {
		remove_objects(Ti1Al1_bonds_template1);
		Ti1Al1_bonds_template1 = drawbonds_cylinder(template1,"Ti1",Ti_material,"Al1",Al_material,0.1,len2,rad2);
		dontshow_objects(Ti1Al1_bonds_template1);
	}
	if (bond1stat===0 && togg2stat===0) {
		remove_objects(Ti1Ti1_bonds_template2);
		Ti1Ti1_bonds_template2 = drawbonds_cylinder(template2,"Ti1",Ti_material,"Ti1",Ti_material,0.1,len1,rad1);
		show_objects(Ti1Ti1_bonds_template2);
	}
	else {
		remove_objects(Ti1Ti1_bonds_template2);
		Ti1Ti1_bonds_template2 = drawbonds_cylinder(template2,"Ti1",Ti_material,"Ti1",Ti_material,0.1,len1,rad1);
		dontshow_objects(Ti1Ti1_bonds_template2);
	}
	if (bond2stat===0 && togg2stat===0) {
		remove_objects(Ti1Al1_bonds_template2);
		Ti1Al1_bonds_template2 = drawbonds_cylinder(template2,"Ti1",Ti_material,"Al1",Al_material,0.1,len2,rad2);
		show_objects(Ti1Al1_bonds_template2);
	}
	else {
		remove_objects(Ti1Al1_bonds_template2);
		Ti1Al1_bonds_template2 = drawbonds_cylinder(template2,"Ti1",Ti_material,"Al1",Al_material,0.1,len2,rad2);
		dontshow_objects(Ti1Al1_bonds_template2);
	}
}

color2.oninput = function() {
	output2r.innerHTML = hextorgb(this.value).r;
	output2g.innerHTML = hextorgb(this.value).g;
	output2b.innerHTML = hextorgb(this.value).b;
	color2out = { color: this.value };
	Al_material = define_material(color2out,1);
	if (atom2stat===0 && togg1stat===0) {
		remove_objects(Al1_atoms_template1);
		Al1_atoms_template1 = drawmol_spheres(template1,"Al1",Al_material, size2);
		show_objects(Al1_atoms_template1);
	}
	else {
		remove_objects(Al1_atoms_template1);
		Al1_atoms_template1 = drawmol_spheres(template1,"Al1",Al_material, size2);
		dontshow_objects(Al1_atoms_template1);
	}
	if (atom2stat===0 && togg2stat===0) {
		remove_objects(Al1_atoms_template2);
		Al1_atoms_template2 = drawmol_spheres(template2,"Al1",Al_material, size2);
		show_objects(Al1_atoms_template2);
	}
	else {
		remove_objects(Al1_atoms_template2);
		Al1_atoms_template2 = drawmol_spheres(template2,"Al1",Al_material, size2);
		dontshow_objects(Al1_atoms_template2);
	}
	if (bond2stat===0 && togg1stat===0) {
		remove_objects(Ti1Al1_bonds_template1);
		Ti1Al1_bonds_template1 = drawbonds_cylinder(template1,"Ti1",Ti_material,"Al1",Al_material,0.1,len2,rad2);
		show_objects(Ti1Al1_bonds_template1);
	}
	else {
		remove_objects(Ti1Al1_bonds_template1);
		Ti1Al1_bonds_template1 = drawbonds_cylinder(template1,"Ti1",Ti_material,"Al1",Al_material,0.1,len2,rad2);
		dontshow_objects(Ti1Al1_bonds_template1);
	}
	if (bond3stat===0 && togg1stat===0) {
		remove_objects(Al1Al1_bonds_template1);
		Al1Al1_bonds_template1 = drawbonds_cylinder(template1,"Al1",Al_material,"Al1",Al_material,0.1,len3,rad3);
		show_objects(Al1Al1_bonds_template1);
	}
	else {
		remove_objects(Al1Al1_bonds_template1);
		Al1Al1_bonds_template1 = drawbonds_cylinder(template1,"Al1",Al_material,"Al1",Al_material,0.1,len3,rad3);
		dontshow_objects(Al1Al1_bonds_template1);
	}
	if (bond2stat===0 && togg2stat===0) {
		remove_objects(Ti1Al1_bonds_template2);
		Ti1Al1_bonds_template2 = drawbonds_cylinder(template2,"Ti1",Ti_material,"Al1",Al_material,0.1,len2,rad2);
		show_objects(Ti1Al1_bonds_template2);
	}
	else {
		remove_objects(Ti1Al1_bonds_template2);
		Ti1Al1_bonds_template2 = drawbonds_cylinder(template2,"Ti1",Ti_material,"Al1",Al_material,0.1,len2,rad2);
		dontshow_objects(Ti1Al1_bonds_template2);
	}
	if (bond3stat===0 && togg2stat===0) {
		remove_objects(Al1Al1_bonds_template2);
		Al1Al1_bonds_template2 = drawbonds_cylinder(template2,"Al1",Al_material,"Al1",Al_material,0.1,len3,rad3);
		show_objects(Al1Al1_bonds_template2);
	}
	else {
		remove_objects(Al1Al1_bonds_template2);
		Al1Al1_bonds_template2 = drawbonds_cylinder(template2,"Al1",Al_material,"Al1",Al_material,0.1,len3,rad3);
		dontshow_objects(Al1Al1_bonds_template2);
	}
}

const atom1 = document.getElementById("atom1");
atom1.addEventListener("click", buttonfunction1);
function buttonfunction1() {
	if (atom1stat===0) {
		dontshow_objects(Ti1_atoms_template1);
		dontshow_objects(Ti1_atoms_template2);
		atom1stat = 1;
	}
	else {
		show_objects(Ti1_atoms_template1);
		show_objects(Ti1_atoms_template2);
		atom1stat = 0;
	}
}

const atom2 = document.getElementById("atom2");
atom2.addEventListener("click", buttonfunction2);
function buttonfunction2() {
	if (atom2stat===0) {
		dontshow_objects(Al1_atoms_template1);
		dontshow_objects(Al1_atoms_template2);
		atom2stat = 1;
	}
	else {
		show_objects(Al1_atoms_template1);
		show_objects(Al1_atoms_template2);
		atom2stat = 0;
	}
}

const bond1 = document.getElementById("bond1");
bond1.addEventListener("click", buttonfunction3);
function buttonfunction3() {
	if (bond1stat===0) {
		dontshow_objects(Ti1Ti1_bonds_template1);
		dontshow_objects(Ti1Ti1_bonds_template2);
		bond1stat = 1;
	}
	else {
		show_objects(Ti1Ti1_bonds_template1);
		show_objects(Ti1Ti1_bonds_template2);
		bond1stat = 0;
	}
}

const bond2 = document.getElementById("bond2");
bond2.addEventListener("click", buttonfunction4);
function buttonfunction4() {
	if (bond2stat===0) {
		dontshow_objects(Ti1Al1_bonds_template1);
		dontshow_objects(Ti1Al1_bonds_template2);
		bond2stat = 1;
	}
	else {
		show_objects(Ti1Al1_bonds_template1);
		show_objects(Ti1Al1_bonds_template2);
		bond2stat = 0;
	}
}

const bond3 = document.getElementById("bond3");
bond3.addEventListener("click", buttonfunction5);
function buttonfunction5() {
	if (bond3stat===0) {
		dontshow_objects(Al1Al1_bonds_template1);
		dontshow_objects(Al1Al1_bonds_template2);
		bond3stat = 1;
	}
	else {
		show_objects(Al1Al1_bonds_template1);
		show_objects(Al1Al1_bonds_template2);
		bond3stat = 0;
	}
}

const bader = document.getElementById("bader");
bader.addEventListener("click", buttonfunction6);
function buttonfunction6() {
	if (baderstat===0) {
		dontshow_objects(Ti1baderballs_template1);
		dontshow_objects(Ti1baderballs_template2);
		dontshow_objects(Al1baderballs_template1);
		dontshow_objects(Al1baderballs_template2);
		baderstat = 1;
	}
	else {
		show_objects(Ti1baderballs_template1);
		show_objects(Ti1baderballs_template2);
		show_objects(Al1baderballs_template1);
		show_objects(Al1baderballs_template2);
		baderstat = 0;
	}
}

const ttemplate1 = document.getElementById("temp1");
ttemplate1.addEventListener("click", buttonfunction7);
function buttonfunction7() {
	if (atom1stat===0 && togg1stat===0) {
		dontshow_objects(Ti1_atoms_template1);
	}
	if (atom1stat===0 && togg1stat===1) {
		show_objects(Ti1_atoms_template1);
	}
	if (atom2stat===0 && togg1stat===0) {
		dontshow_objects(Al1_atoms_template1);
	}
	if (atom2stat===0 && togg1stat===1) {
		show_objects(Al1_atoms_template1);
	}
	if (baderstat===0 && togg1stat===0) {
		dontshow_objects(Ti1baderballs_template1);
		dontshow_objects(Al1baderballs_template1);
	}
	if (baderstat===0 && togg1stat===1) {
		show_objects(Ti1baderballs_template1);
		show_objects(Al1baderballs_template1);
	}
	if (bond1stat===0 && togg1stat===0) {
		dontshow_objects(Ti1Ti1_bonds_template1);
	}
	if (bond1stat===0 && togg1stat===1) {
		show_objects(Ti1Ti1_bonds_template1);
	}
	if (bond2stat===0 && togg1stat===0) {
		dontshow_objects(Ti1Al1_bonds_template1);
	}
	if (bond2stat===0 && togg1stat===1) {
		show_objects(Ti1Al1_bonds_template1);
	}
	if (bond3stat===0 && togg1stat===0) {
		dontshow_objects(Al1Al1_bonds_template1);
	}
	if (bond3stat===0 && togg1stat===1) {
		show_objects(Al1Al1_bonds_template1);
	}
	if (togg1stat===0) {
		togg1stat = 1;
	}
	else {
		togg1stat = 0;
	}
}


const ttemplate2 = document.getElementById("temp2");
ttemplate2.addEventListener("click", buttonfunction8);
function buttonfunction8() {
	if (atom1stat===0 && togg2stat===0) {
		dontshow_objects(Ti1_atoms_template2);
	}
	if (atom1stat===0 && togg2stat===1) {
		show_objects(Ti1_atoms_template2);
	}
	if (atom2stat===0 && togg2stat===0) {
		dontshow_objects(Al1_atoms_template2);
	}
	if (atom2stat===0 && togg2stat===1) {
		show_objects(Al1_atoms_template2);
	}
	if (baderstat===0 && togg2stat===0) {
		dontshow_objects(Ti1baderballs_template2);
		dontshow_objects(Al1baderballs_template2);
	}
	if (baderstat===0 && togg2stat===1) {
		show_objects(Ti1baderballs_template2);
		show_objects(Al1baderballs_template2);
	}
	if (bond1stat===0 && togg2stat===0) {
		dontshow_objects(Ti1Ti1_bonds_template2);
	}
	if (bond1stat===0 && togg2stat===1) {
		show_objects(Ti1Ti1_bonds_template2);
	}
	if (bond2stat===0 && togg2stat===0) {
		dontshow_objects(Ti1Al1_bonds_template2);
	}
	if (bond2stat===0 && togg2stat===1) {
		show_objects(Ti1Al1_bonds_template2);
	}
	if (bond3stat===0 && togg2stat===0) {
		dontshow_objects(Al1Al1_bonds_template2);
	}
	if (bond3stat===0 && togg2stat===1) {
		show_objects(Al1Al1_bonds_template2);
	}
	if (togg2stat===0) {
		togg2stat = 1;
	}
	else {
		togg2stat = 0;
	}
}

